glab(1)

NAME
glab-mr-merge - Merge or accept a merge request.

SYNOPSIS
glab mr merge [] [flags]

DESCRIPTION
Defaults to the currently checked-out branch. When a pipeline is running, auto-merge is enabled by default. Pass --auto-merge=false to merge immediately. Use --squash or --rebase to control the merge strategy, or --remove-source-branch to delete the source branch after merging.

OPTIONS
--auto-merge[=true]
    Set auto-merge.

-m, --message=""
    Custom merge commit message.

-r, --rebase[=false]
    Rebase the commits onto the base branch.

-d, --remove-source-branch[=false]
    Remove source branch on merge.

--sha=""
    Merge only if the HEAD of the source branch matches this SHA. Use to ensure that only reviewed commits are merged.

-s, --squash[=false]
    Squash commits on merge.

--squash-message=""
    Custom squash commit message.

-y, --yes[=false]
    Skip submission confirmation prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Merge a merge request
    glab mr merge 235
    glab mr accept 235
    # Finds open merge request from current branch
    glab mr merge

SEE ALSO
glab-mr(1)